=== debian/changelog ===
plasma-widget-networkmanagement (0.9~svn1112085-0ubuntu4) lucid; urgency=low

  * Fixed debian/control:
    - knm-runtime does not recommend any package (it's the backend...)
    - The two frontends suggest the VPN plugins and depend on the runtime.
    - Closes LP: #563836

 -- Anthony Mercatante <tonio@ubuntu.com>  Thu, 15 Apr 2010 18:18:47 +0200

plasma-widget-networkmanagement (0.9~svn1112085-0ubuntu3) lucid; urgency=low

  * Fixed debian/control again:
    - knm-runtime only suggests, not recommends the vpn plugins
    - knm-runtime suggests the kde packages to the vpn plugins

 -- Anthony Mercatante <tonio@ubuntu.com>  Wed, 14 Apr 2010 14:13:45 +0200

plasma-widget-networkmanagement (0.9~svn1112085-0ubuntu2) lucid; urgency=low

  * Fixed debian/control:
    - plasma-widget-networkmanagement Replaces knm-runtime (<< 0.9~svn1112085)
    - Closes LP: #562770

 -- Anthony Mercatante <tonio@ubuntu.com>  Wed, 14 Apr 2010 13:59:23 +0200

plasma-widget-networkmanagement (0.9~svn1112085-0ubuntu1) lucid; urgency=low

  * New upstream SVN snapshot
  * Build-depends on quilt
  * Fixed debian/rules so that the patches apply
  * Fixed debian/control file:
    - Create separate packages for openvpn, pptp and vpnc plugins to avoid people
      to create a VPN connection without having the
      corresponding network-manager package installed.
    - No package for the Novell VPN plugin as network-manager currently doesn't
      have the backend for Ubuntu.
  * Both network-manager-kde and plasma-widget-networkmanagement conflict each
    other
  * Added kubuntu_04_autoload_networkmanagement.diff:
    - this kded service is needed by the plasmoid, and can be enabled now we have
      the package conflict with knetworkmanager set.

 -- Anthony Mercatante <tonio@ubuntu.com>  Fri, 12 Mar 2010 16:15:08 +0100

plasma-widget-networkmanagement (0.9~svn1075616-0ubuntu3) lucid; urgency=low

  * Add kubuntu_03_no_dbusmenu.diff from Aurelien Gateau, turn off
    dbusmenu for knetworkmanager

 -- Jonathan Riddell <jriddell@ubuntu.com>  Wed, 10 Mar 2010 13:04:46 +0000

plasma-widget-networkmanagement (0.9~svn1075616-0ubuntu2) lucid; urgency=low

  * Rebuild to fix broken pot file (LP: #529483)

 -- Harald Sitter <apachelogger@ubuntu.com>  Tue, 02 Mar 2010 23:38:13 +0100

plasma-widget-networkmanagement (0.9~svn1075616-0ubuntu1) lucid; urgency=low

  * Merge with Debian Experimental, remaining changes:
    - Do not build-depend on libknotificationitem-1-dev
    - Keep depends on knm-runtime for the plasma-widget-networkmanagement
      binary package
    - Do not specify NetworkManager 0.7 in the package description, we have
      0.8
    - Keep depends on knm-runtime for network-manager-kde
    - Keep replaces on old plasma-widget-networkmanagement for
      network-manager-kde
    - Keep newer replace version on plasma-widget-networkmanagement for the
      knm-runtime binary package
    - Keep kubuntu_02_install_qdbusfornm.diff
  * Install qdbusfornm, it accidentally got removed from the .install files

 -- Jonathan Thomas <echidnaman@kubuntu.org>  Sun, 17 Jan 2010 09:18:01 -0500

plasma-widget-networkmanagement (0.9~svn1065133-0ubuntu2) lucid; urgency=low

  * Actually unapply kubuntu_03_install_translations.diff, I forgot that
    patches get applied when the source package is extracted.

 -- Jonathan Thomas <echidnaman@kubuntu.org>  Wed, 23 Dec 2009 08:52:57 -0500

plasma-widget-networkmanagement (0.9~svn1065133-0ubuntu1) lucid; urgency=low

  * New upstream svn snapshot:
    - Fixes LP: #451899
    - Remove kubuntu_03_install_translations.diff, translations removed
      upstream. (Moved to regular KDE l10n location)
    - Bump various lib .so versions in knm-runtime.install
  * Use source format 3.0 (quilt):
    - Add debian/source/format
    - Drop quilt build-dependency

 -- Jonathan Thomas <echidnaman@kubuntu.org>  Tue, 22 Dec 2009 11:21:44 -0500

plasma-widget-networkmanagement (0.9~svn1054632-0ubuntu2) lucid; urgency=low

  * Update to build with KDE SC 4.4
    - Bump KDE SC build-depends to 4:4.3.80
    - Bump qt4-x11 to 4.6.0
    - Drop build-dep on libknotificationitem-dev (incorporated into kdelibs)
    - Bump sonames in knm-runtime.install to 4.4.0
  * Bump build-dep on libnm-util-dev and network-manager-dev to 0.8~
    - Package is patched to support network manager 0.8 

 -- Scott Kitterman <scott@kitterman.com>  Fri, 18 Dec 2009 09:01:48 -0500

plasma-widget-networkmanagement (0.9~svn1054632-0ubuntu1) lucid; urgency=low

  * Merge with Debian Experimental, remaining changes:
    - Do not use source format 3, Launchpad is slow in supporting it
    - Keep quilt build-dep due to no source format 3
    - Keep kubuntu_02_install_qdbusfornm.diff
    - Keep kubuntu_03_install_translations.diff
  * Add replaces to older versions of plasma-widget-networkmanagement to
    knm-runtime and network-manager-kde
  * network-manager-kde and plasma-widget-networkmanager depend on 
    knm-runtime

 -- Jonathan Thomas <echidnaman@kubuntu.org>  Fri, 04 Dec 2009 08:34:19 -0500

plasma-widget-networkmanagement (0.9~svn1029786+ag1-0ubuntu1) karmic; urgency=low

  * Added support for WEP ASCII keys, kubuntu_05_support_for_wep_ascii_keys.diff, LP: #453260
  * More readable wireless icons, monolithic/icons/
  * Use a different icon for activated wired connection, kubuntu_06_use_different_icon_for_activated_wired_connection.diff
  * Always show disconnect button as advised by upstream, kubuntu_07_always_show_disconnect_button.diff
  * Add fix from upstream kubuntu_08_r1039152_store_restore_gsm_network_type.diff,
    http://bugs.kde.org/207454 "Mobile connection type (GPRS/2G/3G) is not kept after saving connection"
  * Add fix from upstream kubuntu_09_r1039472_fix_hmac_auth_key_type_mis_storage.diff, 
    http://bugs.kde.org/205894 "OpenVPN plugin creates invalid connections"

 -- Aurélien Gâteau <aurelien.gateau@canonical.com>  Tue, 20 Oct 2009 12:04:45 +0200


