## plasma-widget-networkmanagement 0.9~svn1176084

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,4 +1,7 @@
 project(plasma-networkmanagement)
+
+option(INSTALL_KNM_AUTOSTART "Install the autostart file for knetworkmanager. Warning: This prevents the plasmoid from working properly")
+
 
 find_package(KDE4 REQUIRED)
 include (KDE4Defaults)
@@ -11,6 +14,12 @@
 #can't just place WORDS_BIGENDIAN in TEST_BIGENDIAN as our code uses #ifndef
    set(WORDS_BIGENDIAN 1)
 endif (BIGENDIAN)
+
+find_file(KDE4_MM_BACKEND_FOUND solid/control/modeminterface.h ${KDE4_INCLUDE_DIR} NO_DEFAULT_PATH)
+if (KDE4_MM_BACKEND_FOUND)
+	message("Compiling Modem Manager support.")
+	add_definitions(-DCOMPILE_MODEM_MANAGER_SUPPORT=1)
+endif (KDE4_MM_BACKEND_FOUND)
 
 add_definitions (${QT_DEFINITIONS} ${KDE4_DEFINITIONS})
 include_directories (${KDE4_INCLUDES})
@@ -59,5 +68,9 @@
 endif(NM_0_7)
 endif(NETWORKMANAGER_FOUND)
 
+if(INSTALL_KNM_AUTOSTART)
+	message("Installing autostart file for knm, use cmake -DINSTALL_KNM_AUTOSTART=ON to switch it on. Note that this will break the plasmoid. For this to work, make sure the kded DBus service is NOT loaded.")
+endif(INSTALL_KNM_AUTOSTART)
+
 macro_display_feature_log()
