=== applet/CMakeLists.txt ===
--- 
+++ 
@@ -22,14 +22,23 @@
     wirelessnetworkitem.cpp
     hiddenwirelessnetworkitem.cpp
     wirelessstatus.cpp
+    gsminterfaceconnectionitem.cpp
     )
 
 kde4_add_plugin(plasma_applet_networkmanagement ${networkmanager_SRCS})
-target_link_libraries(plasma_applet_networkmanagement ${KDE4_PLASMA_LIBS} knmclient knminternals ${KDE4_KIO_LIBS} ${KDE4_SOLID_LIBS} solidcontrol ${KDE4_KUTILS_LIBRARY})
 
 install(TARGETS plasma_applet_networkmanagement DESTINATION ${PLUGIN_INSTALL_DIR})
 install(FILES plasma-applet-networkmanagement.desktop DESTINATION ${SERVICES_INSTALL_DIR})
 
-install(FILES
-    wireless.svgz
-    DESTINATION ${DATA_INSTALL_DIR}/desktoptheme/default/widgets/)
+add_subdirectory(icons)
+
+# We only install the theme for the version where it isn't in SVN
+macro_ensure_version("4.4.76" ${KDE_VERSION} IS45)
+if (NOT IS45)
+    install(FILES
+        network.svgz
+        DESTINATION ${DATA_INSTALL_DIR}/desktoptheme/default/icons/)
+    target_link_libraries(plasma_applet_networkmanagement ${KDE4_PLASMA_LIBS} knmclient knminternals ${KDE4_KIO_LIBS} ${KDE4_SOLID_LIBS} solidcontrol ${KDE4_KUTILS_LIBS})
+else (NOT IS45)
+    target_link_libraries(plasma_applet_networkmanagement ${KDE4_PLASMA_LIBS} knmclient knminternals ${KDE4_KIO_LIBS} ${KDE4_SOLID_LIBS} solidcontrol ${KDE4_KCMUTILS_LIBS})
+endif (NOT IS45)
