=== settings/configshell/CMakeLists.txt ===
--- 
+++ 
@@ -14,7 +14,12 @@
 
 kde4_add_executable(networkmanagement_configshell ${networkmanagement_configshell_SRCS})
 
-target_link_libraries(networkmanagement_configshell knmui knminternals solidcontrol ${KDE4_KDEUI_LIBS} ${KDE4_KUTILS_LIBS})
+macro_ensure_version("4.4.76" ${KDE_VERSION} IS45)
+if (IS45)
+   target_link_libraries(networkmanagement_configshell knmui knminternals solidcontrol ${KDE4_KDEUI_LIBS} ${KDE4_KCMUTILS_LIBS})
+else (IS45)
+   target_link_libraries(networkmanagement_configshell knmui knminternals solidcontrol ${KDE4_KDEUI_LIBS} ${KDE4_KUTILS_LIBS})
+endif (IS45)
 
 install(TARGETS networkmanagement_configshell DESTINATION ${LIBEXEC_INSTALL_DIR})
