=== debian/changelog ===
plasma-widget-networkmanagement (0.9~svn1176084-0ubuntu1) maverick; urgency=low

  * New upstream snapshot
    - Remove kubuntu_05_fix_qdbusfornm.diff fixed by upstream
    - Drop outdated debian/bug-presubj.
    - Bump Standards-Version to 3.9.1. No further changes.
    - Bump build-dependencies

 -- Alessandro Ghersi <alessandro-ghersi@kubuntu.org>  Thu, 16 Sep 2010 17:43:40 +0200

plasma-widget-networkmanagement (0.9~svn1167391-0ubuntu1) maverick; urgency=low

  * New upstream snapshot
  * Add kubuntu_04_no_tests.diff to not build tests, they fail

 -- Jonathan Riddell <jriddell@ubuntu.com>  Tue, 24 Aug 2010 15:34:36 +0100

plasma-widget-networkmanagement (0.9~svn1137272-0ubuntu2) maverick; urgency=low

  * Add kubuntu_01_constant_explicitly_qreal.diff to fix FTBS on armel
  * Update Vcs-Browser and Vcs-Bzr
  * Add minimum version for quilt to make lintian happy

 -- Alessandro Ghersi <alessandro-ghersi@kubuntu.org>  Thu, 24 Jun 2010 02:09:27 +0200

plasma-widget-networkmanagement (0.9~svn1137272-0ubuntu1) maverick; urgency=low

  * New upstream snapshot
  * Remove caution notice on plasma-widget-networkmanagement description
  * Add -DINSTALL_KNM_AUTOSTART=TRUE
  * Add package network-manager-strongswan-kde

 -- Jonathan Riddell <jriddell@ubuntu.com>  Wed, 16 Jun 2010 18:44:27 +0100

plasma-widget-networkmanagement (0.9~svn1112085-0ubuntu5) maverick; urgency=low

  * Rebuild for libsolidcontrol4 -> libsolidcontrol4a transition
  * Bump libraries version in knm-runtime.install

 -- Alessandro Ghersi <alessandro-ghersi@kubuntu.org>  Sat, 12 Jun 2010 04:03:05 +0200
