=== debian/control ===
--- 
+++ 
@@ -5,12 +5,12 @@
 XSBC-Original-Maintainer: Debian KDE Extras Team <pkg-kde-extras@lists.alioth.debian.org>
 Uploaders: Modestas Vainius <modestas@vainius.eu>, Michael Biebl <biebl@debian.org>
 DM-Upload-Allowed: yes
-Build-Depends: debhelper (>= 7.3.16), cmake (>= 2.6.2), pkg-kde-tools (>= 0.5), quilt,
- libqt4-dev (>= 4:4.6.0~), kdelibs5-dev (>= 4:4.3.0), kdebase-workspace-dev (>= 4:4.3.0),
+Build-Depends: debhelper (>= 7.3.16), cmake (>= 2.6.2), pkg-kde-tools (>= 0.5), quilt (>= 0.46-7~),
+ libqt4-dev (>= 4:4.7.0~), kdelibs5-dev (>= 4:4.5), kdebase-workspace-dev (>= 4:4.5),
  network-manager-dev (>= 0.8~), libnm-util-dev (>= 0.8~)
-Standards-Version: 3.8.3
-Vcs-Git: git://git.debian.org/git/pkg-kde/kde-extras/plasma-widget-networkmanagement.git
-Vcs-Browser: http://git.debian.org/?p=pkg-kde/kde-extras/plasma-widget-networkmanagement.git
+Standards-Version: 3.9.1
+Vcs-Browser: http://bazaar.launchpad.net/~kubuntu-members/plasma-widget-networkmanagement/ubuntu
+Vcs-Bzr: https://code.launchpad.net/~kubuntu-members/plasma-widget-networkmanagement/ubuntu
 
 Package: plasma-widget-networkmanagement
 Architecture: any
@@ -28,9 +28,6 @@
  This widget needs Plasma shell to be usable. Main KDE 4 Plasma shell is
  available in the kdebase-workspace-bin package. The user friendly name of the
  widget is "Network Management" (in e.g. "Add Widgets" dialog).
- .
- CAUTION: plasma widget is not very usable at the moment. Consider using
- network-manager-kde instead.
 
 Package: network-manager-kde
 Architecture: any
@@ -51,6 +48,14 @@
 Depends: ${shlibs:Depends}, ${misc:Depends}, network-manager-openvpn
 Description: KDE NetworkManagement infrastructure (OpenVPN plugin)
  This package the OpenVPN plugin for the KDE Networkmanagement
+ infrastructure.
+
+Package: network-manager-strongswan-kde
+Architecture: any
+Section: net
+Depends: ${shlibs:Depends}, ${misc:Depends}, network-manager-strongswan
+Description: KDE NetworkManagement infrastructure (strongSwan plugin)
+ This package the strongSwan plugin for the KDE Networkmanagement
  infrastructure.
 
 Package: network-manager-pptp-kde
