=== monolithic/CMakeLists.txt ===
--- 
+++ 
@@ -76,7 +76,7 @@
 
 install(TARGETS knetworkmanager ${INSTALL_TARGETS_DEFAULT_ARGS})
 
-install(FILES knetworkmanager.desktop DESTINATION ${XDG_APPS_INSTALL_DIR})
+install(PROGRAMS knetworkmanager.desktop DESTINATION ${XDG_APPS_INSTALL_DIR})
 
 if (INSTALL_KNM_AUTOSTART)
     install(FILES kde4-knetworkmanager-autostart.desktop DESTINATION ${AUTOSTART_INSTALL_DIR})
