=== settings/config/CMakeLists.txt ===
--- 
+++ 
@@ -12,17 +12,21 @@
    # UI logic
    addeditdeletebuttonset.cpp
    manageconnectionwidget.cpp
+   mobileconnectionwizard.cpp
+   mobileproviders.cpp
 )
 #kde4_add_kcfg_files(kcm_knetworkmanager_SRCS ${CMAKE_CURRENT_SOURCE_DIR}/../../libs/storage/knmserviceprefs.kcfgc)
 
 kde4_add_ui_files(kcm_networkmanagement_SRCS manageconnectionwidget.ui)
 kde4_add_plugin(kcm_networkmanagement ${kcm_networkmanagement_SRCS})
 
+target_link_libraries(kcm_networkmanagement knmui knminternals solidcontrol ${KDE4_KDEUI_LIBS} ${QT_QTXML_LIBRARY})
+
 macro_ensure_version("4.4.76" ${KDE_VERSION} IS45)
 if (IS45)
-   target_link_libraries(kcm_networkmanagement knmui knminternals solidcontrol ${KDE4_KDEUI_LIBS} ${KDE4_KCMUTILS_LIBS})
+   target_link_libraries(kcm_networkmanagement ${KDE4_KCMUTILS_LIBS})
 else (IS45)
-   target_link_libraries(kcm_networkmanagement knmui knminternals solidcontrol ${KDE4_KDEUI_LIBS} ${KDE4_KUTILS_LIBS})
+   target_link_libraries(kcm_networkmanagement ${KDE4_KUTILS_LIBS})
 endif (IS45)
 
 ## next target: tray config KCM
