=== debian/changelog ===
plasma-widget-networkmanagement (0.9~svngit20110408-0ubuntu2) natty; urgency=low

  * Add kubuntu_05_save_autoconnect_settings.diff, cherry-picked from upstream.
    (LP: #760432)

 -- Felix Geyer <debfx-pkg@fobos.de>  Fri, 15 Apr 2011 12:37:13 +0200

plasma-widget-networkmanagement (0.9~svngit20110408-0ubuntu1) natty; urgency=low

  * New upstream snapshot

 -- Jonathan Riddell <jriddell@ubuntu.com>  Fri, 08 Apr 2011 18:49:07 +0100

plasma-widget-networkmanagement (0.9~svngit20110312-0ubuntu1) natty; urgency=low

  * New upstream snapshot
  * Add build-dep and runtime depends on mobile-broadband-provider-info
  * Add =binary version to plasma-widget-networkmanagement depends on knm-runtime

 -- Jonathan Riddell <jriddell@ubuntu.com>  Mon, 21 Mar 2011 13:52:36 +0000

plasma-widget-networkmanagement (0.9~svn1176084-0ubuntu3) natty; urgency=low

  * Change .so versions to 4.6.0 from 4.5.0 in knm-runtime.install for builds
    against KDE SC 4.6

 -- Scott Kitterman <scott@kitterman.com>  Mon, 13 Dec 2010 15:42:59 -0500

plasma-widget-networkmanagement (0.9~svn1176084-0ubuntu2) natty; urgency=low

  * Rebuild against kdelibs5-dev 4.5.2a-0ubuntu2 for libkutils4 transition

 -- Alessandro Ghersi <alessandro-ghersi@kubuntu.org>  Fri, 22 Oct 2010 06:55:38 +0200
