=== debian/control ===
--- 
+++ 
@@ -6,15 +6,15 @@
 Uploaders: Modestas Vainius <modestas@vainius.eu>, Michael Biebl <biebl@debian.org>
 DM-Upload-Allowed: yes
 Build-Depends: debhelper (>= 7.3.16), cmake (>= 2.6.2), pkg-kde-tools (>= 0.5), quilt (>= 0.46-7~),
- libqt4-dev (>= 4:4.7.0~), kdelibs5-dev (>= 4:4.5), kdebase-workspace-dev (>= 4:4.5),
- network-manager-dev (>= 0.8~), libnm-util-dev (>= 0.8~)
+ libqt4-dev (>= 4:4.7.0~), kdelibs5-dev (>= 4:4.5.2a-0ubuntu2), kdebase-workspace-dev (>= 4:4.5.2-0ubuntu3),
+ network-manager-dev (>= 0.8~), libnm-util-dev (>= 0.8~), mobile-broadband-provider-info
 Standards-Version: 3.9.1
 Vcs-Browser: http://bazaar.launchpad.net/~kubuntu-members/plasma-widget-networkmanagement/ubuntu
 Vcs-Bzr: https://code.launchpad.net/~kubuntu-members/plasma-widget-networkmanagement/ubuntu
 
 Package: plasma-widget-networkmanagement
 Architecture: any
-Depends: ${shlibs:Depends}, ${misc:Depends}, knm-runtime
+Depends: ${shlibs:Depends}, ${misc:Depends}, knm-runtime (= ${binary:Version}), mobile-broadband-provider-info
 Conflicts: plasma-applet-networkmanager, network-manager-kde
 Replaces: plasma-applet-networkmanager, knm-runtime (<< 0.9~svn1112085)
 Suggests: network-manager-vpnc-kde, network-manager-openvpn-kde, network-manager-pptp-kde
