=== debian/rules ===
--- 
+++ 
@@ -15,7 +15,7 @@
 DEB_KNETWORKMANAGER_VERSION := $(shell echo '$(DEB_BINARY_VERSION)' | sed 's/^[[:digit:].]\+/1:0.9/')
 
 override_dh_auto_configure:
-	dh_auto_configure -Skde -- -DCMAKE_USE_RELATIVE_PATHS=ON -DDBUS_SYSTEM_POLICY_DIR=/etc/dbus-1/system.d
+	dh_auto_configure -Skde -- -DCMAKE_USE_RELATIVE_PATHS=ON -DDBUS_SYSTEM_POLICY_DIR=/etc/dbus-1/system.d -DINSTALL_KNM_AUTOSTART=TRUE
 
 override_dh_bugfiles:
 	dh_bugfiles -A
@@ -31,4 +31,13 @@
 %:
 	dh --with kde --with quilt --dbg-package=plasma-widget-networkmanagement-dbg $@
 
+fetch_translations:
+	mkdir -p po
+	cd po; svn export svn://anonsvn.kde.org/home/kde/trunk/l10n-kde4/subdirs
+	cd po; for asdf in `cat subdirs`; do mkdir -p $${asdf}; done
+	cd po; for asdf in `cat subdirs`; do echo $${asdf}; cd $${asdf}; svn export svn://anonsvn.kde.org/home/kde/trunk/l10n-kde4/$${asdf}/messages/extragear-base/plasma_applet_networkmanagement.po; cd ..; done
+	cd po; for asdf in `cat subdirs`; do echo $${asdf}; cd $${asdf}; svn export svn://anonsvn.kde.org/home/kde/trunk/l10n-kde4/$${asdf}/messages/extragear-base/knetworkmanager.pot; cd ..; done
+	cd po; for asdf in `cat subdirs`; do echo $${asdf}; cd $${asdf}; svn export svn://anonsvn.kde.org/home/kde/trunk/l10n-kde4/$${asdf}/messages/extragear-base/libknetworkmanager.pot; cd ..; done
+	cd po; rm subdirs; rmdir --ignore-fail-on-non-empty *
+
 .PHONY: override_dh_auto_test
